| GL Studio C++ Runtime API

Public Member Functions | List of all members
RSOResourceFilterImpl Class Reference

`#include <gls_rso_interface_impl.h>`

Inheritance diagram for RSOResourceFilterImpl:

## Public Member Functions
| RSOResourceFilterImpl (GlsResourceFilter *filter)
int | LevelsUp () const override
void | LevelsUp (int value) override
int | GroupLevelsDown () const override
void | GroupLevelsDown (int value) override
bool | NamesOnly () const override
void | NamesOnly (bool value) override
void | AddExclude (const char *str) override
int | ExcludeCount () const override
const char * | GetExclude (int index) const override
void | AddInclude (const char *str) override
int | IncludeCount () const override
const char * | GetInclude (int index) const override
bool | PassFilter (const char *name) const override
void | PushParentName (const char *parent)
void | PopParentName ()
| Pop the parent object name stack.
unsigned int | ParentNameCount () const
const char * | GetParentName (unsigned int index) const

## Detailed Description

Wraps a GlsResourceFilter so it can be passed to the RSO Interface's GetResources call

## Constructor & Destructor Documentation

## ◆ RSOResourceFilterImpl()

RSOResourceFilterImpl | ( | GlsResourceFilter * | filter | ) |
| inline

Constructor

Parameters

  filter | The filter to wrap.

## Member Function Documentation

## ◆ AddExclude()

void AddExclude | ( | const char * | str | ) |
| inline override

Manage the list of excluded attributes. Takes precedence over includes.

Parameters

  str | The new name to add to the exclude list.

## ◆ AddInclude()

void AddInclude | ( | const char * | str | ) |
| inline override

Manage the list of included attributes.

Parameters

  str | The new name to add to the include list.

## ◆ ExcludeCount()

int ExcludeCount | ( |  | ) | const
| inline override

Default: 0

Returns
  The number of entries in the exclude list.

## ◆ GetExclude()

const char * GetExclude | ( | int | index | ) | const
| inline override

Note
  Returns NULL if index >= ExcludeCount() or index < -1.

Returns
  The exclude name associated with the incoming index.

Parameters

  index | The index of the exclusion item to return.

## ◆ GetInclude()

const char * GetInclude | ( | int | index | ) | const
| inline override

Note
  Returns NULL if index >= IncludeCount() or index < -1

Returns
  The include name associated with the incoming index.

Parameters

  index | The index of the inclusion item to return.

## ◆ GetParentName()

const char * GetParentName | ( | unsigned int | index | ) | const
| inline

Note
  Returns NULL if index >= ParentNameCount() or index < -1.

Returns
  The parent name associated with the incoming index.

Parameters

  index | The index of the parent name to return.

## ◆ GroupLevelsDown() [1/2]

int GroupLevelsDown | ( |  | ) | const
| inline override

Returns
  The current levels of children to show.

## ◆ GroupLevelsDown() [2/2]

void GroupLevelsDown | ( | int | value | ) |
| inline override

How many levels of children to show. 0 means don't show any children properties -1 means all the way down. Default: -1

Parameters

  value | The new levels of children to show.

## ◆ IncludeCount()

int IncludeCount | ( |  | ) | const
| inline override

Default: 0

Returns
  The number of entries in the include list.

## ◆ LevelsUp() [1/2]

int LevelsUp | ( |  | ) | const
| inline override

Returns
  The current qualification level.

## ◆ LevelsUp() [2/2]

void LevelsUp | ( | int | value | ) |
| inline override

How many levels of qualification to show in the name. -1 means full qualification. Default: -1

Parameters

  value | The new qualification level to set.

## ◆ NamesOnly() [1/2]

bool NamesOnly | ( |  | ) | const
| inline override

Returns
  Whether or not names, or names and values should be returned.

## ◆ NamesOnly() [2/2]

void NamesOnly | ( | bool | value | ) |
| inline override

If true, only a list of names will be returned. Values will not be returned. The format changes to not include the ":". Default: false

Parameters

  value | The new name display flag to set.

## ◆ ParentNameCount()

unsigned int ParentNameCount | ( |  | ) | const
| inline

Returns
  The number of entries in the parent name stack.

## ◆ PassFilter()

bool PassFilter | ( | const char * | name | ) | const
| inline override

Check a name against the filters. Exclude list takes precedence.

Parameters

  name | The name of the item to test.

Returns
  Whether or not the name passes the filter (to be included in the returned results).

## ◆ PushParentName()

void PushParentName | ( | const char * | parent | ) |
| inline

Manage the stack of parent object names.

Parameters

  parent | The name of the item to add to the stack.

The documentation for this class was generated from the following file:

- gls_rso_interface_impl.h